<?php
	/** Datei, die die Definition der Klasse Page enthält. */
	
	/**
	* bündelt zentrale Funktionen, die zur Seitenerstellung notwendig sind. Hierzu zählen beispielsweise Funktionen für Quellcodeausgabe, zur Ausgabe von Header und Footer sowie zur Erstellung von Formularen, Buttons und Icons.
	*/
	class HelpPage extends Page {
		
		/**
		* Der Konstruktor
		* @param string $name Der Name.
		* @return object Ein Objekt vom Typ HelpPage.
		*/ 
		public function __construct($name) {
			parent::__construct($name,"default");
		}
		
				/**
  		* gibt Head, Header und Seitentitel (<h1>) zurück und leitet die Ausgabe des eigentlichen Seiteninhaltes ein. Das mit dieser Funktion eingeleitete Markup kann abschließend mit der Funktion end() geschlossen werden.
		* @return string
 		*/	 
		public function start(){
			return parent::start_wp("");
		}

	}
?>