<?php 
	/** Hilfe-Seite zur Start-/Indexseite. */
	/** Hilfe-Seite zur Start-/Indexseite. */
?>

			<h2>Die Start-/Indexseite</h2>
			<p>Die Start- bzw. Index-Seite ist die zentrale Startseite der Einkaufsliste. Sie erlaubt den Zugang zu allen Funktionen und zeigt die <a href="<?php echo DOC_URL; ?>lists<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listen</a> an, für die <a href="<?php echo DOC_URL; ?>listEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge</a> vorliegen.</p>
			<p>Sie erreichen die Start-/Index-Seite über den Home-Button <img src="<?php echo Page::getIcon("home"); ?>" alt="home" class="texticon">, der auf jeder Seite oben links eingeblendet wird.</p>
			<h3>Kopfbereich</h3>
			<p>Der Kopfbereich der Startseite zeigt drei Icons:</p>
			<ol>
				<li>Oben ganz links steht der Home-Button <img src="<?php echo Page::getIcon("home"); ?>" alt="home" class="texticon">. Er erlaubt den Weg zurück auf die Startseite. (Das ist im Fall der Startseite zwar eigentlich sinnlos, aber der Home-Button steht auf jeder Seite&#8230;)</li>
				<li>Direkt daneben steht der Button <img src="<?php echo Page::getIcon("addToTrolley"); ?>" alt="addToTrolley" class="texticon">, mit dem Sie einen <a href="<?php echo DOC_URL; ?>newListEntry<?php echo PHP_FILE_EXTENSION?>" class="highlighted">neuen Listeneintrag hinzufügen</a> können.</li>
				<li>Rechts oben finden Sie den Button <img src="<?php echo Page::getIcon("edit"); ?>" alt="edit" class="texticon">, mit dem Sie auf die <a href="<?php echo DOC_URL; ?>editPageIndex<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite der Einkaufsliste</a> gelangen.
			</ol>
			<h3>Darstellungsbereich</h3>
			<p>Der Darstellungsbereich bietet eine Übersicht aller <a href="<?php echo DOC_URL; ?>lists<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listen</a>, für die <a href="<?php echo DOC_URL; ?>listEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge</a> vorhanden sind. Pro angezeigter Liste wird nach der Listenbezeichnung in runden Klammern die Anzahl der Listeneinträge angezeigt, die noch nicht <a href="<?php echo DOC_URL; ?>addToTrolley<?php echo PHP_FILE_EXTENSION?>" class="highlighted">in den Warenkorb verschoben worden</a> sind. Ist die Anzahl <q>0</q>, enthält die Liste zwar noch Listeneinträge; es sind aber bereits alle Einträge in den Warenkorb verschoben worden.</p>
			<p>Je nach <a href="<?php echo DOC_URL; ?>priorities<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Dringlichkeit</a> der Listeneinträge werden die Listenbezeichnungen ggf. besonders  <a href="<?php echo DOC_URL; ?>priorities.php#markup" class="highlighted">markiert</a>.</p>
			<p>Enthält keine der Listen einen Eintrag, wird die Meldung <q>Die Einkaufsliste ist leer.</q> ausgegeben.</p>
			<?php 
				include "footerIcons" . PHP_FILE_EXTENSION; 
			?>