<?php 
	/** Hilfe-Seite zur Listenansicht. */
	/** Hilfe-Seite zur Listenansicht. */
?>

			<h2>Die Listenansicht</h2>
			<p>Die Listenansicht zeigt sämtliche <a href="<?php echo DOC_URL; ?>listEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge</a> an, die einer <a href="<?php echo DOC_URL; ?>lists<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Liste</a> zugeordnet sind.</p>
			<p>Sie erreichen die Listenansicht, indem Sie auf der <a href="<?php echo DOC_URL; ?>indexPage<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Start-/Indexseite</a> auf die entsprechende Liste klicken. Für Listen, die keine <a href="<?php echo DOC_URL; ?>listEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge</a> enthalten, ist die Listenansicht nicht zugänglich.</p>
			<h3>Kopfbereich</h3>
			<p>Der Kopfbereich der Listenansicht zeigt vier Icons:</p>
			<ol>
				<li>Oben ganz links steht der Home-Button <img src="<?php echo Page::getIcon("home"); ?>" alt="home" class="texticon">. Er erlaubt den Weg zurück auf die <a href="<?php echo DOC_URL; ?>indexPage<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Start-/Indexseite</a>. </li>
				<li>Direkt daneben steht der Button <img src="<?php echo Page::getIcon("addToTrolley"); ?>" alt="addToTrolley" class="texticon">, mit dem Sie <a href="<?php echo DOC_URL; ?>newListEntry<?php echo PHP_FILE_EXTENSION?>" class="highlighted">einen neuen Listeneintrag hinzufügen</a> können.</li>
				<li>Wiederum daneben steht der Button <img src="<?php echo Page::getIcon("deleteTrolley"); ?>" alt="deleteTrolley" class="texticon">, mit dem Sie auf die <a href="<?php echo DOC_URL; ?>deleteListEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge löschen</a> können, die sie zuvor <a href="<?php echo DOC_URL; ?>addToTrolley<?php echo PHP_FILE_EXTENSION?>" class="highlighted">in den Warenkorb verschoben</a> haben.</li>
				<li>Rechts oben finden Sie den Button <img src="<?php echo Page::getIcon("edit"); ?>" alt="edit" class="texticon">, mit dem Sie auf die <a href="<?php echo DOC_URL; ?>editPageArticles<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite der Liste</a> gelangen.</li>
			</ol>
			<h3>Darstellungsbereich</h3>
			<p>Der Darstellungsbereich listet sämtliche <a href="<?php echo DOC_URL; ?>deleteListEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listeneinträge</a> auf, die (über ihren <a href="<?php echo DOC_URL; ?>articles<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Artikel</a> und dessen <a href="<?php echo DOC_URL; ?>lists<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Kategorie</a>) der <a href="<?php echo DOC_URL; ?>lists<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Liste</a> zugeordnet sind.</p>
			<p>Zur Darstellung des Listeneintrages gehören</p>
			<ul class="bulletlist">
				<li><a href="<?php echo DOC_URL; ?>amount<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Menge</a>,</li>
				<li><a href="<?php echo DOC_URL; ?>measures<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Maßangabe</a>,</li>
				<li>Artikelbezeichnung und</li>
				<li>und ggf. die &ndash; jeweils in runde Klammern gesetzten &ndash; <a href="<?php echo DOC_URL; ?>annotations<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Anmerkungen</a> zum Artikel beziehungsweise zum Listeneintrag.</li>
				<li>Rechts neben dem jeweiligen Listeneintrag führt das Icon <img src="<?php echo Page::getIcon("edit"); ?>" alt="edit" class="texticon"> zur <a href="<?php echo DOC_URL; ?>editPageListEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite des entsprechenden Listeneintrages</a>.</ul>
			</ul>
			<p>Die Reihenfolge der Listeneinträge folgt zunächst einmal der Reihenfolge der Rubriken, die auf der <a href="<?php echo DOC_URL; ?>editPageListEntries<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite der entsprechenden Liste</a> unter <q>Kategorien sortieren und bearbeiten</q> festgelegt ist. Innerhalb der jeweiligen Rubriken werden die Listeneinträge dann in der Reihenfolge der auf der <a href="<?php echo DOC_URL; ?>editPageCategories<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite für die jeweilige Kategorie</a> unter <q>Artikel sortieren und bearbeiten</q> festgelegten Reihenfolge der zugehörigen Artikel ausgegeben.</p>
			<?php 
				include "footerIcons" . PHP_FILE_EXTENSION; 
			?>