<?php
	/** Datei, die die Suche nach Artikelnamen und Artikelanmerkungen ermöglicht. */
	/** Datei, die die Suche nach Artikelnamen und Artikelanmerkungen ermöglicht. */
	
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");
	$key=$_GET['key'];
	$array = array();
	if (isset($_GET['mode']) AND $_GET['mode'] == "convertArticle"){
		if (isset($_GET['articleID'])){
			$articleID = intval($_GET['articleID']);
			$whereStr = DB_TAB_PREFIX . 'articles.ID != ' . $articleID . '  AND ';
		} else {
			$articleID = NULL;
			$whereStr = NULL;
		}
		$searchstring = '
  	 		SELECT DISTINCT
  		 		' . DB_TAB_PREFIX . 'articles.ID AS articleID,
  		 		' . DB_TAB_PREFIX . 'articles.name AS articleName
			FROM 
	 	 		' . DB_TAB_PREFIX . 'articles 
			WHERE ' . $whereStr . DB_TAB_PREFIX . "articles.name LIKE '%{$key}%' ORDER BY " . DB_TAB_PREFIX . 'articles.name';
   	$query=mysqli_query($db, $searchstring);
		while($row=mysqli_fetch_assoc($query)){
			$selectLists = 'SELECT
				' . DB_TAB_PREFIX . 'lists.name AS listName
			FROM 
	 	 		' . DB_TAB_PREFIX . 'articles 
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'articlesCategories
					ON 
						' . DB_TAB_PREFIX . 'articles.ID = ' . DB_TAB_PREFIX . 'articlesCategories.articleID
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'categories
					ON 
						' . DB_TAB_PREFIX . 'articlesCategories.catID = ' . DB_TAB_PREFIX . 'categories.ID
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'lists
					ON 
						' . DB_TAB_PREFIX . 'categories.listID = ' . DB_TAB_PREFIX . 'lists.ID 
					WHERE ' . DB_TAB_PREFIX . 'articles.ID = ' . $row['articleID'];
			   $queryLists=mysqli_query($db, $selectLists);
			   $listArray = array();
			   while($lists=mysqli_fetch_assoc($queryLists)){
			   	array_push($listArray,$lists['listName']);
			   }
			   $listnames = implode(", ", $listArray);
			$array[] = $row['articleName'] . " [" . $listnames . "]";
		}
	} else {
		if (isset($_GET['withoutCatID'])){
			$withoutCatID = intval($_GET['withoutCatID']);
		} else {
			$withoutCatID = NULL;
		}
		if (isset($_GET['listID'])){
			$whereStr = "listID = " . intval($_GET['listID']) . " AND " . DB_TAB_PREFIX . "articles.name LIKE '%{$key}%'";
		} else {
			$whereStr = DB_TAB_PREFIX . "articles.name LIKE '%{$key}%'";
		}
		if ($withoutCatID != ""){
			$selectStr = 'SELECT articleID FROM ' . DB_TAB_PREFIX . 'articlesCategories WHERE catID = '. $withoutCatID;
			$query = mysqli_query($db, $selectStr);
			$result = array(); 
			while($row = $query->fetch_object()){
				array_push($result,$row->articleID);
			}
			if (count($result) > 0){ // wenn der Kategorie schon Artikel zugeordnet sind
				$result = implode(",",$result);
				$whereStr = '(' . DB_TAB_PREFIX . 'articles.ID NOT IN (' .$result . ') AND (' . $whereStr . '))';
			} 
		}
		$searchstring = '
  	 		SELECT
  		 		' . DB_TAB_PREFIX . 'articles.ID,
  		 		' . DB_TAB_PREFIX . 'articles.name,
   			' . DB_TAB_PREFIX . 'articlesAnnotation.annotation 
			FROM 
	 	 		' . DB_TAB_PREFIX . 'articles 
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'articlesCategories
					ON 
						' . DB_TAB_PREFIX . 'articles.ID = ' . DB_TAB_PREFIX . 'articlesCategories.articleID
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'categories
					ON 
						' . DB_TAB_PREFIX . 'articlesCategories.catID = ' . DB_TAB_PREFIX . 'categories.ID
			LEFT JOIN 
				' . DB_TAB_PREFIX . 'articlesAnnotation
					ON 
						' . DB_TAB_PREFIX . 'articles.ID = ' . DB_TAB_PREFIX . 'articlesAnnotation.articleID
			WHERE ' . $whereStr . ' ORDER BY ' . DB_TAB_PREFIX . 'articles.name';
   	$query=mysqli_query($db, $searchstring);
		while($row=mysqli_fetch_assoc($query)){
			if (is_null($row['annotation'])){
				$array[] = $row['name'];
			} else {
				$array[] = $row['name'] . " (" . $row['annotation'] . ")";
			}	
		}
	}
	
	echo json_encode($array);
	mysqli_close($db);
?>
