<?php 
	/** Datei zur Verarbeitung von Barcodes. */
	/** 
	* Datei zur Verarbeitung von Barcodes.
	*/
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");
	$searchScript = '<script src="jquery-3.3.1.min"></script>
			<script src="bootstrap.min.js"></script>
			<script src="typeahead.min.js"></script>
			<script>' . 
			'$(document).ready(function(){' .
				'$(\'input.typeahead\').typeahead({' .
					'name: \'typeahead\',' .
					'remote:\'search.php?key=%QUERY\',' . 
					'limit : 10' .
				'});' . 
			'});' .
		'</script>';	
	if (isset($_POST['formular'])){
		$formular = mysqli_real_escape_string($db,$_POST['formular']);
	} else {
		$formular = NULL;
	}
	if (isset($_POST['name'])){
		$articleName = mysqli_real_escape_string($db,$_POST['name']);
	} else {
		$articleName = NULL;
	}
	if (!isset($_GET['barcode'])){
		echo "<p>Die Anfrage kann nicht verarbeitet werden, da der URL kein Barcode als Parameter übergeben worden ist.</p>";
	} else {
		$barcode = mysqli_real_escape_string($db, $_GET['barcode']);
		$listEntry = ListEntry::constructByBarcode($barcode);
	}
	if (!empty($listEntry)){ // wenn Ermittlung anhand des Barcodes gelungen ist
		$page = new ListEntryPage($listEntry->getName(),NULL,"default");
		echo $page->startFormular(NULL, "newListEntry.php","barcode", NULL, NULL, NULL, NULL, $page->getContentIndent()) . 
		$page->hiddenFields(array("listEntry" => $page->objectToString($listEntry)) ,$page->getContentIndent()) .
		$page->endFormular($page->getContentIndent());
		$page->submitFormular("barcode");
	} else { // Zuordnung des Barcodes zu einem bestehenden Artikel
		switch($formular) {
			default:
				$page = new ArticlePage("Neuer Barcode","default");
				echo $page->start(array($searchScript));
				echo $page->addBarcode($barcode,$page->getContentIndent());
				echo $page->end();
				break;
			case "checkSelectedArticle":
				$page = new ArticlePage("Neuer Barcode","default");
				echo $page->start(NULL);
				$article = new Article(NULL,$articleName,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
				if(is_object($page->checkNewArticle($article,$page->getContentIndent()))){
					$article = $page->checkNewArticle($article,$page->getContentIndent());
					$article->addBarcodeToDB($barcode);
					$listEntry = new ListEntry(
						NULL, // ID,
						Main::getPrefAmountIfNULL($article->getStandardAmount()),
						Main::getPrefStandardMeasureIDIfNULL($article->getStandardMeasureID()),
						NULL, // $measureName,
						$article->getID(),
						$article->getName(),
						$article->getAnnotation(),
						$article->getStandardListEntryAnnotation(),
						NULL, //listID,
						Main::getPrefStandardPriorityIDIfNULL($article->getStandardPriorityID()),
						NULL, // $priorityName
						NULL // inBasket
					);
					echo $page->startFormular(NULL, "newListEntry.php", "barcode", NULL, NULL, NULL, NULL, $page->getContentIndent()) . 
					$page->hiddenFields(array("listEntry" => $page->objectToString($listEntry)) ,$page->getContentIndent()) .
					$page->endFormular($page->getContentIndent());
					$page->submitFormular("barcode");					
				}
				$page->end();
				break;
		}
	}
?>