<?php 
	/** Hilfe-Seite zu automatischen Listeneinträgen. */
	/** Hilfe-Seite zu automatischen Listeneinträgen. */
?>

			<h2>
				Automatische Listeneinträge
			</h2>

			<p>Diese Einkaufsliste bietet die Möglichkeit, Listeneinträge automatisch vornehmen zu lassen. Das ist dann sinnvoll, wenn Sie Listeneinträge</p>

			<ol>
				<li>längere Zeit im voraus,</li>
				<li>alle <i>x</i> Tage, also in einem festen Zeitabstand, oder</li>
				<li>immer wieder an einem oder mehreren bestimmten Wochentagen</li>
			</ol>

			<p>vornehmen möchten. So kann es zum Beispiel sein, dass Sie schon im Frühjahr  markieren möchten, einen Artikel zehn Tage vor Weihnachten zu kaufen, dass Sie alle 100 Tage neue Medikamente benötigen oder dass Sie jeden Sonntag vier frische Brötchen und zwei Croissants beim Bäcker kaufen möchten.</p>

			<p>Damit die Listeneinträge automatisch vorgenommen werden können, muss die Einkaufsliste wissen, wann ein entsprechender Artikel erneut gekauft werden soll: Es muss  ein <em>Stichtag des nächsten Kaufs</em> angegeben werden. Um diesen Stichtag zu bestimmen, bestehen drei Möglichkeiten:

			<ol>
				<li>Sie setzen ausdrücklich ein Datum für die Zukunft (<q>Setze folgendes Datum als Stichtag des nächsten Kaufs</q>).</li>
				<li>Sie definieren den Stichtag als <i>x</i> Tage nach dem letzten Stichtag (<q>Setze Stichtag für den nächsten Kauf x Tage nach letztem Stichtag</q>).</li>
				<li>Sie markieren einen oder mehrere Wochentage als Stichtage (<q>Setze folgende Wochentage als Stichtage des nächsten Kaufs</q>).</li>
			</ol> 
			
			<p class="warning">Sie sollten sich immer für <em>eine</em> Art der Stichtagsbestimmung entscheiden, da alle drei der hier genannten Möglichkeiten Einfluss auf dasselbe Datenfeld (<q>Stichtag des nächsten Kaufs</q>) nehmen. Das wird spätestens dann zu Problemen führen, wenn Sie einem Ihrer Lieben zu Weihnachten Brötchen schenken möchten, zugleich aber jeden Sonntag Brötchen kaufen. In diesem Fall würde der Stichtag für den nächsten Kauf auf das nächstliegende Ereignis gesetzt, und Sie stünden zu Weihnachten möglicherweise ohne Geschenk da, da der entsprechende Eintrag durch die Regel <q>jeden Sonntag</q> überschrieben wurde. </p>
			
			<p>Neben der Stichtagsdefinition sind folgende Angaben zum automatischen Listeneintrag möglich:</p>

			<ol>
				<li>wieviele Tage vor dem Stichtag des nächsten Kaufs automatische Listeneintrag erfolgen soll und</li>
				<li>wieviele Tage vor dem Stichtag des nächsten Kaufs der automatische Listeneintrag als dringend markiert werden soll.</li>
			</ol>
			
			<p>Wenn Sie für einen Artikel automatische Listeneinträge definiert haben, ist es möglicherweise auch sinnvoll, <a href="<?php echo DOC_URL; ?>standardSettings<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Standardeinstellungen</a> für den Artikel vorzunehmen. Dann verwendet die Einkaufsliste für den automatischen Listeneintrag <a href="<?php echo DOC_URL; ?>amount<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Menge</a>, <a href="<?php echo DOC_URL; ?>measure<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Maß</a>, <a href="<?php echo DOC_URL; ?>annotations<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Anmerkungen</a> und <a href="<?php echo DOC_URL; ?>priority<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Dringlichkeit</a>, die Sie für den Artikel als Standard festgelegt haben. Andernfalls greift die Einkaufsliste auf die Standardeinstellungen zurück, die Sie auf der <a href="<?php echo URL; ?>editIndex<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite</a> der Einkaufsliste für neue Artikel festgelegt haben. </li>