<?php 
	/** Hilfe-Seite zum Listeneintrag per Barcode . */
	/** Hilfe-Seite zum Listeneintrag per Barcode . */
?>

			<h2>
				Listeneinträge per Barcode-Scanner
			</h2>
			<p>Einem <a href="<?php echo DOC_URL; ?>articles<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Artikel</a> können ein oder mehrere Barcodes zugeordnet werden. Ist ein Artikel mit einem Barcode verknüpft, kann ein Listeneintrag auch mit einem Barcode-Scanner erfolgen.</p>
			<p>Auf diese Weise entfällt die relativ umständliche Eingabe der Artikelbezeichnung per Tastatur, die im Falle der Anlage über einen Klick auf den Button <img src="<?php echo Page::getIcon("addToTrolley"); ?>" alt="addToTrolley" class="texticon"> notwendig wäre. Zudem greift das System beim Scannen unmittelbar auf die  <a href="<?php echo DOC_URL; ?>standardSettings<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Standardeinstellungen</a> für den entsprechenden Artikel zurück, was die Eingabe zusätzlich beschleunigt. </p>
			<p>Die <em>Verknüpfung eines Barcodes mit einem Artikel</em> kann beim ersten Scannen des Barcodes automatisch erfolgen. Alternativ können Sie die Verknüpfung auch über die <a href="<?php echo DOC_URL; ?>editPageArticles<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeiten-Seite des Artikels</a> anlegen, indem Sie den Barcode unter <q>Neuen Barcode hinzufügen</q> eingegeben und auf <q>hinzufügen</q> klicken. Diese Methode ist aufgrund möglicher Tippfehler jedoch deutlich fehleranfälliger als die Übernahme des gescannten Barcodes.</p>
			<p><em>Als Barcode-Scanner geeignet</em> sind alle Scanner, die nach Einlesen des Barcodes eine frei konfigurierbare Internetadresse aufrufen können. Im konkreten Fall muss die Adresse</p>
			<p class="URL">[URL]/barcode.php?barcode=[barcode]</p>
			<p>angesprochen werden, wobei <span class="URL">[URL]</span> durch die Internetadresse Ihrer Installation und <span class="URL">[barcode]</span> durch den entsprechenden Barcode ersetzt werden muss.</p>
			<p>Unter Android kann beispielsweise die App <q>Barcode-Scanner</q> von <a href="https://github.com/zxing/zxing/wiki/Frequently-Asked-Questions" class="highlighted">zxing</a> entsprechend eingerichtet werden. Sie ist über den <a href="https://play.google.com/store/apps/details?id=com.google.zxing.client.android&hl=de" class="highlighted">Google Play Store</a> und über <a href="https://f-droid.org/de/packages/com.google.zxing.client.android/" class="highlighted">F-Droid</a> erhältlich. Um sie für die Einkaufsliste nutzen zu können, muss unter <q>Einstellungen/Ergebnis-Einstellungen</q> eine eigene Such-URL eingetragen werden. Die korrekte Such-URL lautet hier</p>
			<p class="URL">[URL]/barcode.php?barcode=%s</p>
			<p>; auch hier muss <span class="URL">[URL]</span> durch die Internetadresse Ihrer Installation ersetzt werden. Um die Seite aufzurufen, wählen Sie nach dem Barcode-Scan in der App die Option <q>Benutzersuche</q> aus.</p>
			<p>Apps, die eine entsprechende Funktion unter Apples iOS ermöglichen, sind mir mangels Testgeräten leider nicht bekannt.</p>