<?php 
	/** Hilfe-Seite zu Artikeln. */
	/** Hilfe-Seite zu Artikeln. */
?>

			<h2>
				Artikel bearbeiten
			</h2>
			<p>Um Artikel bearbeiten zu können, rufen Sie zunächst die <a href="<?php echo DOC_URL; ?>editPageCategories<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite der Kategorie</a> auf, der der Artikel zugeordnet ist. Hier können Sie neue Artikel hinzufügen und die Position jedes Artikels in der Reihenfolge aller Artikel bestimmen.</p>
			<p>Wenn Sie einen <em>Artikel neu hinzufügen</em> möchten, geben Sie unter <q>Neuen Artikel anlegen</q></p>
			<ul class="bulletlist">
				<li>die <a href="<?php echo DOC_URL; ?>name<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bezeichnung</a>,</li>
				<li>etwaige <a href="<?php echo DOC_URL; ?>annotations<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Anmerkungen</a> zum Artikel,</li>
				<li>die Position des Artikels in der Reihenfolge aller Artikel der gewählten Rubrik,</li>
				<li>mögliche <a href="<?php echo DOC_URL; ?>standardSettings<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Standardeinstellungen</a>,</li>
				<li>ggf. wünschenswerte Einstellungen für <a href="<?php echo DOC_URL; ?>autoListEntry<?php echo PHP_FILE_EXTENSION?>" class="highlighted">automatische Listeneinträge</a></li>
				<li>sowie die Bezeichnung des Artikels an, in den ein Listeneintrag <a href="<?php echo DOC_URL; ?>conversion<?php echo PHP_FILE_EXTENSION?>" class="highlighted">umgewandelt werden</a> soll.</li>
			</ul>
			<p>Die <a href="<?php echo DOC_URL; ?>categories<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Kategorie</a> für den Artikel ist bereits ausgewählt.</p> 
			<p>Möchten Sie einen bereits <em>bestehenden Artikel neu sortieren</em>, klicken Sie unter <q>Artikel sortieren und bearbeiten</q> so lange auf den Auf- oder Ab-Pfeil, bis die gewünschte Position erreicht ist. (Ist für die entsprechende Kategorie erst ein Artikel angelegt worden, werden die Sortierpfeile nicht angezeigt.)</p>
			<p id="editOrDelete">Möchten Sie einen <em>Artikel bearbeiten</em> oder <em>löschen</em>, klicken Sie unter <q>Artikel sortieren und bearbeiten</q> auf die entsprechende Kategorie. Es öffnet sich die <a href="<?php echo DOC_URL; ?>editPageArticles<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bearbeitungsseite des Artikels</a>. Hier können Sie</p>
			<ol>
				<li>grundlegende Einstellungen für den Artikel festlegen; hierzu zählen</li>
				<ul class="bulletlist">
					<li>die <a href="<?php echo DOC_URL; ?>name<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Bezeichnung</a>,</li>
					<li><a href="<?php echo DOC_URL; ?>annotations<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Anmerkungen</a> zum Artikel,</li>
					<li>mögliche <a href="<?php echo DOC_URL; ?>standardSettings<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Standardeinstellungen</a> sowie</li>
					<li>Einstellungen für <a href="<?php echo DOC_URL; ?>autoListEntry<?php echo PHP_FILE_EXTENSION?>" class="highlighted">automatische Listeneinträge</a>.</li>
				</ul>
				<li>die <a href="<?php echo DOC_URL; ?>categories<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Kategoriezuordnung</a> bearbeiten (Zuordnungen zu Kategorien löschen und den Artikel neuen Kategorien zuordnen)</li>
				<li>einen Artikel bestimmen, in dem ein zugehöriger Listeneintrag nach dem Löschen <a href="<?php echo DOC_URL; ?>conversion<?php echo PHP_FILE_EXTENSION?>" class="highlighted">umgewandelt</a> werden soll,</li>
				<li>die dem Artikel zugeordneten <a href="<?php echo DOC_URL; ?>barcode<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Barcodes</a> bearbeiten und</li>
				<li>den Artikel mit einem Klick auf das Icon <img src="<?php echo Page::getIcon("delete"); ?>" alt="delete" class="texticon"> löschen.
			</ol>