<?php 
	/** Hilfe-Seite zum Anlegen eines neuen Listeneintrags. */
	/** Hilfe-Seite zum Anlegen eines neuen Listeneintrags. */
?>

			<h2>
				Neuen Listeneintrag hinzufügen
			</h2>
			<p>Ein neuer Listeneintrag kann einfach durch Klick auf den Button <img src="<?php echo Page::getIcon("addToTrolley"); ?>" alt="manual" class="texticon"> hinzugefügt werden, der auf der <a href="<?php echo DOC_URL; ?>indexPage<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Start-/Indexseite</a> sowie in der <a href="<?php echo DOC_URL; ?>listPage<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listenansicht</a> eingeblendet wird. Es erscheint eine Eingabemaske, in der Sie</p>
			<ul class="bulletlist">
				<li><a href="<?php echo DOC_URL; ?>amount<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Menge</a> und <a href="<?php echo DOC_URL; ?>measures<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Maß</a>,</li>
				<li>die <a href="<?php echo DOC_URL; ?>name<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Artikelbezeichnung</a>,</li>
				<li><a href="<?php echo DOC_URL; ?>annotations<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Anmerkungen</a> zum Listeneintrag und</li>
				<li><a href="<?php echo DOC_URL; ?>priority<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Dringlichkeit</a></li>
			</ul>
			<p>angegeben können.</p>
			<p id="autocompletion">Für die Eingabe der Artikelbezeichnung steht eine <em>automatische Wortergänzung</em> zur Verfügung, die während der Tastatureingabe Vorschläge aus dem Bestand bereits aufgenommener Artikel macht. Je nachdem, ob Sie die Eingabemaske von der <a href="<?php echo DOC_URL; ?>amount<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Start-/Indexseite</a> oder einer <a href="<?php echo DOC_URL; ?>listPage<?php echo PHP_FILE_EXTENSION?>" class="highlighted">Listenansicht</a> aus aufgerufen haben, greift das Programm dabei entweder auf den Gesamtbestand aller Artikel oder aber nur auf die Menge der Artikel zurück, die der aufrufenden Liste zugeordnet sind.</p>
			<p>Haben Sie alle Eintragungen vorgenommen, beenden Sie den Vorgang mit einem Klick auf <q>Senden</q>.</p>
			<p>Die Einkaufsliste überprüft nun,</p>
			<ol>
				<li>ob es sich um einen Listeneintrag handelt, die erstmalig eingetragen wird, weil Artikelbezeichnung und/oder Anmerkungen bislang nicht in der Datenbank hinterlegt sind, oder</li>
				<li>ob bereits ein Artikel mit einer entsprechenden Bezeichnung und Anmerkung in die Datenbank eingetragen ist.</li>
			</ol>
			<h3>2. Erstmaliger Eintrag und Anlegen eines neuen Artikels </h3>
			<p>Findet die Einkaufsliste keinen Artikel mit exakt derselben Kombination aus Artikelbezeichnung und Artikelanmerkungen, legt sie auf Wunsch einen neuen Artikel an und fügt den Listeneintrag anschließend der Einkaufsliste in der gewünschten Menge hinzu.</p>
			
			<h3>2. Eintrag eines bereits bestehenden Artikels</h3>
			<p>Hat die Einkaufsliste einen bereits bestehenden Artikel identifiziert, prüft das System, ob in der Liste bereits ein Listeneintrag mit demselben Artikelnamen besteht.</p>
			<p>Falls kein weiterer Listeneintrag mit demselben Artikelnamen eingetragen ist, wird der Eintrag der Liste hinzugefügt.</p>
			<p>Es kann jedoch auch vorkommen, dass bereits ein oder mehrere Einträge mit demselben Artikelnamen eingetragen ist. Hier prüft die Einkaufsliste zunächst, ob sich der neue und die bereits bestehenden Einträge hinsichtlich ihrer Maßangaben, Anmerkungen und Priorität unterscheiden.</p>
			<h4>a) Eintrag mit identischer Maßangabe</h4>
			<p>Wenn bereits ein Listeneintrag mit derselben Maßangabe besteht, bestehen folgende Möglichkeiten:
			<ol>
				<li>Der neue Listeneintrag wird verworfen.</li>
				<li>Wenn der neue Eintrag eine höhere Priorität hat, kann die Priorität des bisherigen Eintrags auf den neuen Wert erhöht werden, sofern sich der neue und der bestehende Eintrag nicht hinsichtlich ihrer Anmerkungen unterscheiden.</li>
				<li>Wenn der neue Eintrag dieselbe oder eine geringere Priorität hat, es aber Differenzen hinsichtlich der Anmerkungen gibt, können die Anmerkungen angepasst werden. Ansonsten bleibt der bereits bestehende Eintrag erhalten, der neue wird verworfen.</li>
				<li>Die Listeneinträge mit derselben Maßeinheit können zu einem neuen Eintrag zusammengefasst werden, wobei Menge und Anmerkungen standardmäßig addiert werden und sich die Priorität an der höchsten Priorität orientiert. Änderungen an diesen Standardeinstellungen können im Formular vorgenommen werden.</li>
				<li>Sollte es neben dem Listeneintrag mit derselben Maßeinheit auch noch mindestens einen Listeneintrag mit derselben Artikelbezeichnung, aber einer anderen Maßeinheit geben,  können auch alle bereits bestehenden und der neu hinzuzufügende zu einem einzigen neuen Eintrag zusammengefasst werden. Standardmäßig werden die Anmerkungen aller Listeneinträge addiert; die Priorität des neuen Listeneintrages orientiert sich an der höchsten Priorität aller Einzeleinträge.</li>
			</ol>
			<h4>b) Eintrag mit unterschiedlicher Maßangabe</h4>
			<p>Wenn in der Liste zwar mindestens ein weiterer Eintrag mit derselben Bezeichnung, aber noch kein Eintrag mit derselben Maßangabe existiert, bestehen folgende Möglichkeiten:</p>
			<ol>
				<li>der neue Eintrag wird als weiterer Eintrag mit anderer Maßangabe zur Liste hinzugefügt.</li>
				<li>Sämtliche Einträge mit derselben Artikelbezeichnung können zu einem einzigen neuen Eintrag zusammengefasst werden. Standardmäßig werden die Anmerkungen aller Listeneinträge addiert; die Priorität des neuen Listeneintrages orientiert sich an der höchsten Priorität aller Einzeleinträge.</li>
			</ol>