<?php 
	/** Datei zur Bearbeitung eines ListEntries. */
	/** Datei zur Bearbeitung eines ListEntries. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
	include(ABS_PATH . "functions.php");

	if (isset($_POST['listID'])){
		$listID = intval($_POST['listID']);
	} else {
		$listID = NULL;
	}
	
	if (isset($_POST['formular'])){
	 	$formular = mysqli_real_escape_string($db, $_POST['formular']);
	} else {
		$formular = NULL;
	}
	
	if (isset($_POST['ID'])){
		$ID = intval($_POST['ID']);
	} else {
		$ID = NULL;
	}
	
	if (isset($_POST['amount'])){
		$amount = intval($_POST['amount']);
	} else {
		$amount = NULL;
	}
		
	if (!empty($_POST['measureSerialized'])){
		$measure = Main::stringToArray($_POST['measureSerialized']);
		$measure = Main::escapeArray($measure);
		$measureID = $measure['ID'];
		$measureName = $measure['name'];
	} else {
		if (isset($_POST['measureID'])){
			$measureID = intval($_POST['measureID']);
		} else {
			$measureID = NULL;
		}
		
		if (isset($_POST['measureName'])){
			$measureName =mysqli_real_escape_string($db, $_POST['measureName']);
		} else {
			$measureName = NULL;
		}
	}
	
	if (isset($_POST['articleID'])){
		$articleID = intval($_POST['articleID']);
	} else {
		$articleID = NULL;
	}
	
	if (isset($_POST['name'])){
		$name = mysqli_real_escape_string($db, $_POST['name']);
	} else {
		$name = NULL;
	}
	
	if (isset($_POST['articleAnnotation'])){
		$articleAnnotation = mysqli_real_escape_string($db, $_POST['articleAnnotation']);
	} else {
		$articleAnnotation = NULL;
	}
	
	if (isset($_POST['annotation'])){
		$annotation = mysqli_real_escape_string($db, $_POST['annotation']);
	} else {
		$annotation = NULL;
	}
	
	if (isset($_POST['listID'])){
		$listID = intval($_POST['listID']);
	} else {
		$listID = NULL;
	}
	
	if (!empty($_POST['prioritySerialized'])){
		$priority = Main::stringToArray($_POST['prioritySerialized']);
		$priority = Main::escapeArray($priority);
		$priorityID = $priority['ID'];
		$priorityName = $priority['name'];
	} 	else {
		
		if (isset($_POST['priorityID'])){
			$priorityID = intval($_POST['priorityID']);
		} else {
			$priorityID = NULL;
		}
		if (isset($_POST['priorityName'])){
			$priorityName =mysqli_real_escape_string($db, $_POST['priorityName']);
		} else {
			$priorityName = NULL;
		}	
		
	}
	
	if (isset($_POST['bought'])){
		$bought = intval($_POST['bought']);
	} else {
		$bought = NULL;
	}
	
	switch($formular) {
		default:
		case "dontDelete":
			if (isset($_POST['listEntry'])){
				$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
			} else {
				$listEntry = NULL;
			}
			$page = new ListEntryPage($listEntry->getName(),$listEntry,"edit");
			echo $page->start("") .
			$page->editListEntry($listEntry,$listID,$page->getContentIndent()) . 
			$page->end();
			break;
		case "update":
			if (isset($_POST['listEntry'])){
				$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
			} else {
				$listEntry = new ListEntry(
					$ID,
					$amount,
					$measureID,
					$measureName,
					$articleID,
					$name,
					$articleAnnotation,
					$annotation,
					$listID,
					$priorityID,
					$priorityName,
					$bought
				);
			}
			$page = new ListEntryPage($listEntry->getName(),$listEntry,"edit");

			$listEntry->updateDB();
			$page->goToPage("list.php?ID=" . $listID);
			break;
		case "convertBasketStatus":
			if (isset($_POST['listEntry'])){
				$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
			} else {
				$listEntry = NULL;
			}
			$page = new ListEntryPage($listEntry->getName(),$listEntry,"edit");
			$listEntry->convertBasketStatus();
			$page->goToPage("list.php?ID=" . $listEntry->getListID());
			break;
		case "delete":
			if (isset($_POST['listEntry'])){
				$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
			} else {
				$listEntry = NULL;
			}
			echo $page->start("") . 
			$page->checkBeforeDeletion("Möchten Sie diesen Listeneintrag wirklich löschen?","Bitte beachten Sie, dass ein Listeneintrag üblicherweise von einer Liste gelöscht wird, indem die Ware in den Warenkorb gelegt und anschließend der Warenkorb geleert wird. Auf <q>Löschen</q> sollten Sie jetzt nur klicken, wenn Sie den Eintrag versehentlich zur Liste hinzugefügt haben.",NULL,NULL,array("listEntry" => Main::objectToString($listEntry)),array("listEntry" => Main::objectToString($listEntry)),$page->getContentIndent()) .
			$page->end();
			break;
		case "deleteChecked":
			if (isset($_POST['listEntry'])){
				$listEntry = Main::stringToObject(mysqli_real_escape_string($db, $_POST['listEntry']));
			} else {
				$listEntry = NULL;
			};
			$listEntry->deleteByIDs(array($listEntry->getID()));
			echo $page->goToPage("list.php?ID=" . $listEntry->getListID());
	}
?>