<?php 
	/** Datei zur Bearbeitung der Maßangaben. */
	/** Datei zur Bearbeitung einer Liste. */
	require_once("config.php");
	include(ABS_PATH . "dbconnect.php");
 	include(ABS_PATH . "functions.php");
 	if (isset($_POST['formular'])){
	 	$formular = mysqli_real_escape_string($db, $_POST['formular']);
 	} else {
 		$formular = NULL;
 	}
	$measure = Measure::constructByID(intval($_GET['ID']));
	$nameNotSet = false;
	$nameAlreadyExists = false;
	if (isset($_POST['newName'])){
		$newName = mysqli_real_escape_string($db, $_POST['newName']);
		if ($_POST['newName'] == ""){
			$nameNotSet = true;
		} else {
			if ($measure->nameAlreadyExists($newName,NULL)){
				$nameAlreadyExists = true;
			} else {
				$measure->setName($newName);
			}
		}
	}	
	
	
 	$page = new MeasurePage($measure,"edit");
 	echo $page->start();
	switch($formular) {
		default:
			echo 
				$page->renameFormular($measure->getName(),$page->getContentIndent());
			break;
				case "delete":
			echo $page->checkBeforeDeletion("Möchten Sie diese Maßangabe wirklich löschen?",NULL,NULL,NULL,NULL,NULL,$page->getContentIndent());
			break;
		case "deleteChecked":
			$measure->deleteFromDB();
			echo $page->goToPage("editIndex.php");
			break;
		case "rename":
			if ($nameNotSet){ // wenn kein Listenname angegeben ist, auf vorherige Seite verweisen	
				echo $page->goBack("Bitte geben Sie eine Maßbezeichnung ein.",$measure->getDataWithPrefix(),"","","",$page->getContentIndent());
			} elseif($nameAlreadyExists){
				echo $page->goBack("Diese Maßbezeichnung existiert bereits. Bitte wählen Sie eine andere Bezeichnung.",$measure->getDataWithPrefix(),"","","",$page->getContentIndent());
			} else {
				$measure->setName($newName);
				$measure->updateDB();
				echo $page->goToPage("editIndex.php");
			}
			break;
	}
	echo $page->end();
 ?>